## python-bring-api 0.9.0

=== requirements.txt ===
aiohttp~=3.10

=== debian/changelog ===
python-bring-api (0.9.0-2) unstable; urgency=medium

  * Fix d/copyright as per FTP master suggestion.
  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Sun, 06 Oct 2024 11:44:56 +0200

python-bring-api (0.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1082926)

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2024 14:22:51 +0200

=== debian/control ===
Source: python-bring-api
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-aioresponses,
 python3-dotenv,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-bring-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-bring-api.git
Homepage: https://github.com/miaucl/bring-api

Package: python3-bring-api
Architecture: all
Depends:
 python3-aiohttp,
 ${misc:Depends},
 ${python3:Depends},
Description: Unofficial package to access Bring! shopping lists API.
 This package provides an unofficial python package to access the Bring!
 shopping lists API.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/miaucl/bring-api.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v tests

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/miaucl/bring-api refs/tags/(\d[brc\d\.]+)
